com.streambase.liveview.client

## Class BeginSnapshotEvent

- java.lang.Object
- - java.util.EventObject
  - - com.streambase.liveview.client.AbstractQueryEvent
    - - com.streambase.liveview.client.BeginSnapshotEvent

- All Implemented Interfaces:
    Serializable

      public final class BeginSnapshotEvent
      extends AbstractQueryEvent

  The event dispatched when a query snapshot begins.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeginSnapshotEvent(Object source, List<Schema.Field> fields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(QueryListener listener)` Dispatches this event to the listener
    `List<Schema.Field>` | `getFields()` Get the list of fields that the query tuples will have

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeginSnapshotEvent

          public BeginSnapshotEvent(Object source,
                                    List<Schema.Field> fields)

      Parameters:
        `source` - the source of the event
        `fields` - the list of fields that the query tuples will have

  - ### Method Detail

    - #### getFields

          public List<Schema.Field> getFields()

      Get the list of fields that the query tuples will have
      Returns:
        the list of fields (schema) for the query tuples

    - #### dispatch

          public void dispatch(QueryListener listener)

      Dispatches this event to the listener
      Specified by:
        `dispatch` in class `AbstractQueryEvent`
      Parameters:
        `listener` - the query listener

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.